D4Science D4Science Don't have a D4Science account? Create one Could not find what you are looking for? Contact us.

ProfiledDocuments Resource

The Class ProfiledDocuments.

GET /projects/{usecase_id}

List.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
usecase_id path the profile ID
Response Body
media type data type description
application/json Iterable (JSON) the iterable

Example

Request
GET /srv/projects/{usecase_id}
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{ }
                
              

POST /projects/{usecase_id}

Creates the new.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
usecase_id path the profile ID
Request Body
media type data type description
application/json map of object (JSON) the d
Response Body
media type data type description
application/json Project (JSON) the project

Example

Request
POST /srv/projects/{usecase_id}
Content-Type: application/json
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 201 Created
Content-Type: application/json

                
{
  "_info" : {
    "_creationInfo" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_lastEditInfo" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_access" : {
      "_policy" : "EMBARGOED",
      "_license" : "..."
    }
  },
  "_identificationReferences" : [ {
    "property1" : { },
    "property2" : { }
  }, {
    "property1" : { },
    "property2" : { }
  } ],
  "_lifecycleInformation" : {
    "_triggeredEvents" : [ {
      "event" : "...",
      "errorMessages" : [ "...", "..." ],
      "warningMessages" : [ "...", "..." ],
      "lastOperationStatus" : "WARNING"
    }, {
      "event" : "...",
      "errorMessages" : [ "...", "..." ],
      "warningMessages" : [ "...", "..." ],
      "lastOperationStatus" : "OK"
    } ],
    "_errorMessages" : [ "...", "..." ],
    "_lastOperationStatus" : "OK",
    "_notes" : "...",
    "_warningMessages" : [ "...", "..." ],
    "_phase" : "...",
    "_lastInvokedStep" : "..."
  },
  "_version" : {
    "value" : "...",
    "major" : 12345,
    "originalValue" : "...",
    "patch" : 12345,
    "stable" : true,
    "build" : "...",
    "minor" : 12345,
    "suffixTokens" : [ "...", "..." ],
    "type" : "COCOAPODS"
  },
  "_relationships" : [ {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  }, {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  } ],
  "_lock" : {
    "_id" : "...",
    "_info" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_operation" : "..."
  },
  "_id" : "...",
  "_profileID" : "...",
  "_profileVersion" : {
    "value" : "...",
    "major" : 12345,
    "originalValue" : "...",
    "patch" : 12345,
    "stable" : true,
    "build" : "...",
    "minor" : 12345,
    "suffixTokens" : [ "...", "..." ],
    "type" : "IVY"
  },
  "_theDocument" : {
    "property1" : { },
    "property2" : { }
  }
}
                
              

GET /projects/{usecase_id}/configuration

Gets the configuration.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
usecase_id path the profile ID
Response Body
media type data type description
application/json Configuration (JSON) the configuration

Example

Request
GET /srv/projects/{usecase_id}/configuration
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "context" : "...",
  "indexes" : [ {
    "property1" : { },
    "property2" : { }
  }, {
    "property1" : { },
    "property2" : { }
  } ],
  "archives" : [ {
    "property1" : { },
    "property2" : { }
  }, {
    "property1" : { },
    "property2" : { }
  } ],
  "warningMessages" : [ "...", "..." ],
  "profile_id" : "...",
  "errorMessages" : [ "...", "..." ],
  "last_updated_time" : "...",
  "status" : "ERROR"
}
                
              

POST /projects/{usecase_id}/query

Query.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
usecase_id path the profile ID
Request Body
media type data type description
application/json string (JSON) the query string
Response Body
media type data type description
application/json Iterable (JSON) the iterable

Example

Request
POST /srv/projects/{usecase_id}/query
Content-Type: application/json
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 201 Created
Content-Type: application/json

                
{ }
                
              

POST /projects/{usecase_id}/search

Search.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
usecase_id path the profile ID
Request Body
media type data type description
application/json string (JSON) the filter
Response Body
media type data type description
application/json string (JSON) the string

Example

Request
POST /srv/projects/{usecase_id}/search
Content-Type: application/json
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 201 Created
Content-Type: application/json

                
...
                
              

DELETE /projects/{usecase_id}/{project_id}

Delete.

Request Parameters
name type description default constraints
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources    
Content-Type header application/json    
project_id path the id    
usecase_id path the profile ID    
force query the force false boolean
Response Body
media type data type description
application/json boolean (JSON) the boolean Added by Francesco M.

Example

Request
DELETE /srv/projects/{usecase_id}/{project_id}
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
...
                
              

GET /projects/{usecase_id}/{project_id}

Gets the by id.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
project_id path the id
usecase_id path the profile ID
Response Body
media type data type description
application/json Project (JSON) the by id

Example

Request
GET /srv/projects/{usecase_id}/{project_id}
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "_info" : {
    "_creationInfo" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_lastEditInfo" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_access" : {
      "_policy" : "OPEN",
      "_license" : "..."
    }
  },
  "_identificationReferences" : [ {
    "property1" : { },
    "property2" : { }
  }, {
    "property1" : { },
    "property2" : { }
  } ],
  "_lifecycleInformation" : {
    "_triggeredEvents" : [ {
      "event" : "...",
      "errorMessages" : [ "...", "..." ],
      "warningMessages" : [ "...", "..." ],
      "lastOperationStatus" : "OK"
    }, {
      "event" : "...",
      "errorMessages" : [ "...", "..." ],
      "warningMessages" : [ "...", "..." ],
      "lastOperationStatus" : "OK"
    } ],
    "_errorMessages" : [ "...", "..." ],
    "_lastOperationStatus" : "OK",
    "_notes" : "...",
    "_warningMessages" : [ "...", "..." ],
    "_phase" : "...",
    "_lastInvokedStep" : "..."
  },
  "_version" : {
    "value" : "...",
    "major" : 12345,
    "originalValue" : "...",
    "patch" : 12345,
    "stable" : true,
    "build" : "...",
    "minor" : 12345,
    "suffixTokens" : [ "...", "..." ],
    "type" : "STRICT"
  },
  "_relationships" : [ {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  }, {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  } ],
  "_lock" : {
    "_id" : "...",
    "_info" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_operation" : "..."
  },
  "_id" : "...",
  "_profileID" : "...",
  "_profileVersion" : {
    "value" : "...",
    "major" : 12345,
    "originalValue" : "...",
    "patch" : 12345,
    "stable" : true,
    "build" : "...",
    "minor" : 12345,
    "suffixTokens" : [ "...", "..." ],
    "type" : "LOOSE"
  },
  "_theDocument" : {
    "property1" : { },
    "property2" : { }
  }
}
                
              

PATCH /projects/{usecase_id}/{project_id}

Patch.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
project_id path the document id
usecase_id path the profile ID
Request Body
media type data type description
application/json map of object (JSON) the d
Response Body
media type data type description
application/json Project (JSON) the project

Example

Request
PATCH /srv/projects/{usecase_id}/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "_info" : {
    "_creationInfo" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_lastEditInfo" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_access" : {
      "_policy" : "OPEN",
      "_license" : "..."
    }
  },
  "_identificationReferences" : [ {
    "property1" : { },
    "property2" : { }
  }, {
    "property1" : { },
    "property2" : { }
  } ],
  "_lifecycleInformation" : {
    "_triggeredEvents" : [ {
      "event" : "...",
      "errorMessages" : [ "...", "..." ],
      "warningMessages" : [ "...", "..." ],
      "lastOperationStatus" : "WARNING"
    }, {
      "event" : "...",
      "errorMessages" : [ "...", "..." ],
      "warningMessages" : [ "...", "..." ],
      "lastOperationStatus" : "WARNING"
    } ],
    "_errorMessages" : [ "...", "..." ],
    "_lastOperationStatus" : "WARNING",
    "_notes" : "...",
    "_warningMessages" : [ "...", "..." ],
    "_phase" : "...",
    "_lastInvokedStep" : "..."
  },
  "_version" : {
    "value" : "...",
    "major" : 12345,
    "originalValue" : "...",
    "patch" : 12345,
    "stable" : true,
    "build" : "...",
    "minor" : 12345,
    "suffixTokens" : [ "...", "..." ],
    "type" : "STRICT"
  },
  "_relationships" : [ {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  }, {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  } ],
  "_lock" : {
    "_id" : "...",
    "_info" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_operation" : "..."
  },
  "_id" : "...",
  "_profileID" : "...",
  "_profileVersion" : {
    "value" : "...",
    "major" : 12345,
    "originalValue" : "...",
    "patch" : 12345,
    "stable" : true,
    "build" : "...",
    "minor" : 12345,
    "suffixTokens" : [ "...", "..." ],
    "type" : "LOOSE"
  },
  "_theDocument" : {
    "property1" : { },
    "property2" : { }
  }
}
                
              

PUT /projects/{usecase_id}/{project_id}

Update.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
project_id path the document id
usecase_id path the profile ID
Request Body
media type data type description
application/json map of object (JSON) the d
Response Body
media type data type description
application/json Project (JSON) the project

Example

Request
PUT /srv/projects/{usecase_id}/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
{
  "_info" : {
    "_creationInfo" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_lastEditInfo" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_access" : {
      "_policy" : "RESTRICTED",
      "_license" : "..."
    }
  },
  "_identificationReferences" : [ {
    "property1" : { },
    "property2" : { }
  }, {
    "property1" : { },
    "property2" : { }
  } ],
  "_lifecycleInformation" : {
    "_triggeredEvents" : [ {
      "event" : "...",
      "errorMessages" : [ "...", "..." ],
      "warningMessages" : [ "...", "..." ],
      "lastOperationStatus" : "ERROR"
    }, {
      "event" : "...",
      "errorMessages" : [ "...", "..." ],
      "warningMessages" : [ "...", "..." ],
      "lastOperationStatus" : "OK"
    } ],
    "_errorMessages" : [ "...", "..." ],
    "_lastOperationStatus" : "WARNING",
    "_notes" : "...",
    "_warningMessages" : [ "...", "..." ],
    "_phase" : "...",
    "_lastInvokedStep" : "..."
  },
  "_version" : {
    "value" : "...",
    "major" : 12345,
    "originalValue" : "...",
    "patch" : 12345,
    "stable" : true,
    "build" : "...",
    "minor" : 12345,
    "suffixTokens" : [ "...", "..." ],
    "type" : "IVY"
  },
  "_relationships" : [ {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  }, {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  } ],
  "_lock" : {
    "_id" : "...",
    "_info" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_operation" : "..."
  },
  "_id" : "...",
  "_profileID" : "...",
  "_profileVersion" : {
    "value" : "...",
    "major" : 12345,
    "originalValue" : "...",
    "patch" : 12345,
    "stable" : true,
    "build" : "...",
    "minor" : 12345,
    "suffixTokens" : [ "...", "..." ],
    "type" : "STRICT"
  },
  "_theDocument" : {
    "property1" : { },
    "property2" : { }
  }
}
                
              

POST /projects/{usecase_id}/deleteFiles/{project_id}

Delete file set. the Authorization must be a VRE token

Request Parameters
name type description default constraints
Authorization header VRE Bearer token, see https://dev.d4science.org/how-to-access-resources    
Content-Type header application/json    
project_id path the id    
usecase_id path the profile ID    
force query the force false boolean
Request Body
media type data type description
application/json string (JSON) the path must be passed as text in the body
Response Body
media type data type description
application/json Project (JSON) the project Added by Francesco M

Example

Request
POST /srv/projects/{usecase_id}/deleteFiles/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 201 Created
Content-Type: application/json

                
{
  "_info" : {
    "_creationInfo" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_lastEditInfo" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_access" : {
      "_policy" : "EMBARGOED",
      "_license" : "..."
    }
  },
  "_identificationReferences" : [ {
    "property1" : { },
    "property2" : { }
  }, {
    "property1" : { },
    "property2" : { }
  } ],
  "_lifecycleInformation" : {
    "_triggeredEvents" : [ {
      "event" : "...",
      "errorMessages" : [ "...", "..." ],
      "warningMessages" : [ "...", "..." ],
      "lastOperationStatus" : "OK"
    }, {
      "event" : "...",
      "errorMessages" : [ "...", "..." ],
      "warningMessages" : [ "...", "..." ],
      "lastOperationStatus" : "WARNING"
    } ],
    "_errorMessages" : [ "...", "..." ],
    "_lastOperationStatus" : "OK",
    "_notes" : "...",
    "_warningMessages" : [ "...", "..." ],
    "_phase" : "...",
    "_lastInvokedStep" : "..."
  },
  "_version" : {
    "value" : "...",
    "major" : 12345,
    "originalValue" : "...",
    "patch" : 12345,
    "stable" : true,
    "build" : "...",
    "minor" : 12345,
    "suffixTokens" : [ "...", "..." ],
    "type" : "LOOSE"
  },
  "_relationships" : [ {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  }, {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  } ],
  "_lock" : {
    "_id" : "...",
    "_info" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_operation" : "..."
  },
  "_id" : "...",
  "_profileID" : "...",
  "_profileVersion" : {
    "value" : "...",
    "major" : 12345,
    "originalValue" : "...",
    "patch" : 12345,
    "stable" : true,
    "build" : "...",
    "minor" : 12345,
    "suffixTokens" : [ "...", "..." ],
    "type" : "STRICT"
  },
  "_theDocument" : {
    "property1" : { },
    "property2" : { }
  }
}
                
              

PUT /projects/{usecase_id}/forceUnlock/{project_id}

Force unlock.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
project_id path the id
usecase_id path the profile ID
Response Body
media type data type description
application/json Project (JSON) the project

Example

Request
PUT /srv/projects/{usecase_id}/forceUnlock/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
{
  "_info" : {
    "_creationInfo" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_lastEditInfo" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_access" : {
      "_policy" : "OPEN",
      "_license" : "..."
    }
  },
  "_identificationReferences" : [ {
    "property1" : { },
    "property2" : { }
  }, {
    "property1" : { },
    "property2" : { }
  } ],
  "_lifecycleInformation" : {
    "_triggeredEvents" : [ {
      "event" : "...",
      "errorMessages" : [ "...", "..." ],
      "warningMessages" : [ "...", "..." ],
      "lastOperationStatus" : "ERROR"
    }, {
      "event" : "...",
      "errorMessages" : [ "...", "..." ],
      "warningMessages" : [ "...", "..." ],
      "lastOperationStatus" : "ERROR"
    } ],
    "_errorMessages" : [ "...", "..." ],
    "_lastOperationStatus" : "WARNING",
    "_notes" : "...",
    "_warningMessages" : [ "...", "..." ],
    "_phase" : "...",
    "_lastInvokedStep" : "..."
  },
  "_version" : {
    "value" : "...",
    "major" : 12345,
    "originalValue" : "...",
    "patch" : 12345,
    "stable" : true,
    "build" : "...",
    "minor" : 12345,
    "suffixTokens" : [ "...", "..." ],
    "type" : "NPM"
  },
  "_relationships" : [ {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  }, {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  } ],
  "_lock" : {
    "_id" : "...",
    "_info" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_operation" : "..."
  },
  "_id" : "...",
  "_profileID" : "...",
  "_profileVersion" : {
    "value" : "...",
    "major" : 12345,
    "originalValue" : "...",
    "patch" : 12345,
    "stable" : true,
    "build" : "...",
    "minor" : 12345,
    "suffixTokens" : [ "...", "..." ],
    "type" : "NPM"
  },
  "_theDocument" : {
    "property1" : { },
    "property2" : { }
  }
}
                
              

POST /projects/{usecase_id}/registerFiles/{project_id}

Register file set.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
project_id path the id
usecase_id path the profile ID
Request Body
media type data type description
application/json RegisterFileSetRequest (JSON) the request
Response Body
media type data type description
application/json Project (JSON) the project

Example

Request
POST /srv/projects/{usecase_id}/registerFiles/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...

                
{
  "clashOption" : "MERGE_EXISTING",
  "fieldName" : "...",
  "toSetAccess" : {
    "_policy" : "RESTRICTED",
    "_license" : "..."
  },
  "streams" : [ {
    "filename" : "...",
    "url" : "...",
    "id" : "..."
  }, {
    "filename" : "...",
    "url" : "...",
    "id" : "..."
  } ],
  "parentPath" : "...",
  "attributes" : {
    "property1" : { },
    "property2" : { }
  },
  "fieldDefinitionPath" : "..."
}
                
              
Response
HTTP/1.1 201 Created
Content-Type: application/json

                
{
  "_info" : {
    "_creationInfo" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_lastEditInfo" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_access" : {
      "_policy" : "RESTRICTED",
      "_license" : "..."
    }
  },
  "_identificationReferences" : [ {
    "property1" : { },
    "property2" : { }
  }, {
    "property1" : { },
    "property2" : { }
  } ],
  "_lifecycleInformation" : {
    "_triggeredEvents" : [ {
      "event" : "...",
      "errorMessages" : [ "...", "..." ],
      "warningMessages" : [ "...", "..." ],
      "lastOperationStatus" : "ERROR"
    }, {
      "event" : "...",
      "errorMessages" : [ "...", "..." ],
      "warningMessages" : [ "...", "..." ],
      "lastOperationStatus" : "ERROR"
    } ],
    "_errorMessages" : [ "...", "..." ],
    "_lastOperationStatus" : "OK",
    "_notes" : "...",
    "_warningMessages" : [ "...", "..." ],
    "_phase" : "...",
    "_lastInvokedStep" : "..."
  },
  "_version" : {
    "value" : "...",
    "major" : 12345,
    "originalValue" : "...",
    "patch" : 12345,
    "stable" : true,
    "build" : "...",
    "minor" : 12345,
    "suffixTokens" : [ "...", "..." ],
    "type" : "NPM"
  },
  "_relationships" : [ {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  }, {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  } ],
  "_lock" : {
    "_id" : "...",
    "_info" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_operation" : "..."
  },
  "_id" : "...",
  "_profileID" : "...",
  "_profileVersion" : {
    "value" : "...",
    "major" : 12345,
    "originalValue" : "...",
    "patch" : 12345,
    "stable" : true,
    "build" : "...",
    "minor" : 12345,
    "suffixTokens" : [ "...", "..." ],
    "type" : "LOOSE"
  },
  "_theDocument" : {
    "property1" : { },
    "property2" : { }
  }
}
                
              

PUT /projects/{usecase_id}/setAccess/{project_id}

Sets the access policy.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
project_id path the id
usecase_id path the profile ID
Request Body
media type data type description
application/json Access (JSON) the to set
Response Body
media type data type description
application/json Project (JSON) the project

Example

Request
PUT /srv/projects/{usecase_id}/setAccess/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...

                
{
  "_policy" : "OPEN",
  "_license" : "..."
}
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
{
  "_info" : {
    "_creationInfo" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_lastEditInfo" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_access" : {
      "_policy" : "OPEN",
      "_license" : "..."
    }
  },
  "_identificationReferences" : [ {
    "property1" : { },
    "property2" : { }
  }, {
    "property1" : { },
    "property2" : { }
  } ],
  "_lifecycleInformation" : {
    "_triggeredEvents" : [ {
      "event" : "...",
      "errorMessages" : [ "...", "..." ],
      "warningMessages" : [ "...", "..." ],
      "lastOperationStatus" : "ERROR"
    }, {
      "event" : "...",
      "errorMessages" : [ "...", "..." ],
      "warningMessages" : [ "...", "..." ],
      "lastOperationStatus" : "ERROR"
    } ],
    "_errorMessages" : [ "...", "..." ],
    "_lastOperationStatus" : "WARNING",
    "_notes" : "...",
    "_warningMessages" : [ "...", "..." ],
    "_phase" : "...",
    "_lastInvokedStep" : "..."
  },
  "_version" : {
    "value" : "...",
    "major" : 12345,
    "originalValue" : "...",
    "patch" : 12345,
    "stable" : true,
    "build" : "...",
    "minor" : 12345,
    "suffixTokens" : [ "...", "..." ],
    "type" : "NPM"
  },
  "_relationships" : [ {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  }, {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  } ],
  "_lock" : {
    "_id" : "...",
    "_info" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_operation" : "..."
  },
  "_id" : "...",
  "_profileID" : "...",
  "_profileVersion" : {
    "value" : "...",
    "major" : 12345,
    "originalValue" : "...",
    "patch" : 12345,
    "stable" : true,
    "build" : "...",
    "minor" : 12345,
    "suffixTokens" : [ "...", "..." ],
    "type" : "NPM"
  },
  "_theDocument" : {
    "property1" : { },
    "property2" : { }
  }
}
                
              

POST /projects/{usecase_id}/step/{project_id}

Perform step.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
project_id path the id
usecase_id path the profile ID
Request Body
media type data type
application/json PerformStepRequest (JSON)
Response Body
media type data type description
application/json Project (JSON) the project

Example

Request
POST /srv/projects/{usecase_id}/step/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...

                
{
  "stepID" : "...",
  "message" : "...",
  "options" : {
    "property1" : { },
    "property2" : { }
  }
}
                
              
Response
HTTP/1.1 201 Created
Content-Type: application/json

                
{
  "_info" : {
    "_creationInfo" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_lastEditInfo" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_access" : {
      "_policy" : "EMBARGOED",
      "_license" : "..."
    }
  },
  "_identificationReferences" : [ {
    "property1" : { },
    "property2" : { }
  }, {
    "property1" : { },
    "property2" : { }
  } ],
  "_lifecycleInformation" : {
    "_triggeredEvents" : [ {
      "event" : "...",
      "errorMessages" : [ "...", "..." ],
      "warningMessages" : [ "...", "..." ],
      "lastOperationStatus" : "OK"
    }, {
      "event" : "...",
      "errorMessages" : [ "...", "..." ],
      "warningMessages" : [ "...", "..." ],
      "lastOperationStatus" : "WARNING"
    } ],
    "_errorMessages" : [ "...", "..." ],
    "_lastOperationStatus" : "WARNING",
    "_notes" : "...",
    "_warningMessages" : [ "...", "..." ],
    "_phase" : "...",
    "_lastInvokedStep" : "..."
  },
  "_version" : {
    "value" : "...",
    "major" : 12345,
    "originalValue" : "...",
    "patch" : 12345,
    "stable" : true,
    "build" : "...",
    "minor" : 12345,
    "suffixTokens" : [ "...", "..." ],
    "type" : "LOOSE"
  },
  "_relationships" : [ {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  }, {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  } ],
  "_lock" : {
    "_id" : "...",
    "_info" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_operation" : "..."
  },
  "_id" : "...",
  "_profileID" : "...",
  "_profileVersion" : {
    "value" : "...",
    "major" : 12345,
    "originalValue" : "...",
    "patch" : 12345,
    "stable" : true,
    "build" : "...",
    "minor" : 12345,
    "suffixTokens" : [ "...", "..." ],
    "type" : "COCOAPODS"
  },
  "_theDocument" : {
    "property1" : { },
    "property2" : { }
  }
}
                
              

DELETE /projects/{usecase_id}/{relationship}/{project_id}/{relationship_id}

Delete relation.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
project_id path the id
relationship_id path the relationship id
usecase_id path the profile ID
target_id query the target id
target_ucd query the target UCD
Response Body
media type data type description
application/json Project (JSON) the project

Example

Request
DELETE /srv/projects/{usecase_id}/{relationship}/{project_id}/{relationship_id}
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
{
  "_info" : {
    "_creationInfo" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_lastEditInfo" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_access" : {
      "_policy" : "RESTRICTED",
      "_license" : "..."
    }
  },
  "_identificationReferences" : [ {
    "property1" : { },
    "property2" : { }
  }, {
    "property1" : { },
    "property2" : { }
  } ],
  "_lifecycleInformation" : {
    "_triggeredEvents" : [ {
      "event" : "...",
      "errorMessages" : [ "...", "..." ],
      "warningMessages" : [ "...", "..." ],
      "lastOperationStatus" : "OK"
    }, {
      "event" : "...",
      "errorMessages" : [ "...", "..." ],
      "warningMessages" : [ "...", "..." ],
      "lastOperationStatus" : "ERROR"
    } ],
    "_errorMessages" : [ "...", "..." ],
    "_lastOperationStatus" : "ERROR",
    "_notes" : "...",
    "_warningMessages" : [ "...", "..." ],
    "_phase" : "...",
    "_lastInvokedStep" : "..."
  },
  "_version" : {
    "value" : "...",
    "major" : 12345,
    "originalValue" : "...",
    "patch" : 12345,
    "stable" : true,
    "build" : "...",
    "minor" : 12345,
    "suffixTokens" : [ "...", "..." ],
    "type" : "NPM"
  },
  "_relationships" : [ {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  }, {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  } ],
  "_lock" : {
    "_id" : "...",
    "_info" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_operation" : "..."
  },
  "_id" : "...",
  "_profileID" : "...",
  "_profileVersion" : {
    "value" : "...",
    "major" : 12345,
    "originalValue" : "...",
    "patch" : 12345,
    "stable" : true,
    "build" : "...",
    "minor" : 12345,
    "suffixTokens" : [ "...", "..." ],
    "type" : "LOOSE"
  },
  "_theDocument" : {
    "property1" : { },
    "property2" : { }
  }
}
                
              

GET /projects/{usecase_id}/{relationship}/{project_id}/{relationship_id}

Gets the relationship chain.

Request Parameters
name type description default constraints
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources    
Content-Type header application/json    
project_id path the id    
relationship_id path the relationship id    
usecase_id path the profile ID    
deep query the deep false boolean
Response Body
media type data type description
application/json string (JSON) the relationship chain

Example

Request
GET /srv/projects/{usecase_id}/{relationship}/{project_id}/{relationship_id}
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
...
                
              

PUT /projects/{usecase_id}/{relationship}/{project_id}/{relationship_id}

Sets the relation.

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
project_id path the id
relationship_id path the relationship id
usecase_id path the profile ID
target_id query the target id
target_ucd query the target UCD
Response Body
media type data type description
application/json Project (JSON) the project

Example

Request
PUT /srv/projects/{usecase_id}/{relationship}/{project_id}/{relationship_id}
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
{
  "_info" : {
    "_creationInfo" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_lastEditInfo" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_access" : {
      "_policy" : "OPEN",
      "_license" : "..."
    }
  },
  "_identificationReferences" : [ {
    "property1" : { },
    "property2" : { }
  }, {
    "property1" : { },
    "property2" : { }
  } ],
  "_lifecycleInformation" : {
    "_triggeredEvents" : [ {
      "event" : "...",
      "errorMessages" : [ "...", "..." ],
      "warningMessages" : [ "...", "..." ],
      "lastOperationStatus" : "ERROR"
    }, {
      "event" : "...",
      "errorMessages" : [ "...", "..." ],
      "warningMessages" : [ "...", "..." ],
      "lastOperationStatus" : "OK"
    } ],
    "_errorMessages" : [ "...", "..." ],
    "_lastOperationStatus" : "OK",
    "_notes" : "...",
    "_warningMessages" : [ "...", "..." ],
    "_phase" : "...",
    "_lastInvokedStep" : "..."
  },
  "_version" : {
    "value" : "...",
    "major" : 12345,
    "originalValue" : "...",
    "patch" : 12345,
    "stable" : true,
    "build" : "...",
    "minor" : 12345,
    "suffixTokens" : [ "...", "..." ],
    "type" : "LOOSE"
  },
  "_relationships" : [ {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  }, {
    "_targetUCD" : "...",
    "_relationshipName" : "...",
    "_targetID" : "..."
  } ],
  "_lock" : {
    "_id" : "...",
    "_info" : {
      "_context" : { },
      "_user" : { },
      "_instant" : "..."
    },
    "_operation" : "..."
  },
  "_id" : "...",
  "_profileID" : "...",
  "_profileVersion" : {
    "value" : "...",
    "major" : 12345,
    "originalValue" : "...",
    "patch" : 12345,
    "stable" : true,
    "build" : "...",
    "minor" : 12345,
    "suffixTokens" : [ "...", "..." ],
    "type" : "COCOAPODS"
  },
  "_theDocument" : {
    "property1" : { },
    "property2" : { }
  }
}